package com.chenyang.nse.bussiness.entity.orm.table.core.dataproject;

import com.chenyang.nse.bussiness.entity.orm.table.TProEntity;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_PROJECT_FILE"
)
public class TCoreProjectFile extends TProEntity {
   private String project_id;
   private String taskid;
   private String filetype;
   private String filesourcetype;
   private String filesource;
   private String filegroup;
   private String fileurl;
   private String filename;
   private String filestructureid;
   private String filestructure;
   private String dmptype;
   private String dmpfiletype;
   private String dmptables;
   private String isknowstructure;

   public String getTaskid() {
      return this.taskid;
   }

   public void setTaskid(String taskid) {
      this.taskid = taskid;
   }

   public String getDmptables() {
      return this.dmptables;
   }

   public void setDmptables(String dmptables) {
      this.dmptables = dmptables;
   }

   public String getProject_id() {
      return this.project_id;
   }

   public void setProject_id(String project_id) {
      this.project_id = project_id;
   }

   public String getFiletype() {
      return this.filetype;
   }

   public void setFiletype(String filetype) {
      this.filetype = filetype;
   }

   public String getFilesourcetype() {
      return this.filesourcetype;
   }

   public void setFilesourcetype(String filesourcetype) {
      this.filesourcetype = filesourcetype;
   }

   public String getFilegroup() {
      return this.filegroup;
   }

   public void setFilegroup(String filegroup) {
      this.filegroup = filegroup;
   }

   public String getFileurl() {
      return this.fileurl;
   }

   public void setFileurl(String fileurl) {
      this.fileurl = fileurl;
   }

   public String getFilename() {
      return this.filename;
   }

   public void setFilename(String filename) {
      this.filename = filename;
   }

   public String getFilestructureid() {
      return this.filestructureid;
   }

   public void setFilestructureid(String filestructureid) {
      this.filestructureid = filestructureid;
   }

   public String getFilestructure() {
      return this.filestructure;
   }

   public void setFilestructure(String filestructure) {
      this.filestructure = filestructure;
   }

   public String getDmptype() {
      return this.dmptype;
   }

   public void setDmptype(String dmptype) {
      this.dmptype = dmptype;
   }

   public String getDmpfiletype() {
      return this.dmpfiletype;
   }

   public void setDmpfiletype(String dmpfiletype) {
      this.dmpfiletype = dmpfiletype;
   }

   public String getFilesource() {
      return this.filesource;
   }

   public void setFilesource(String filesource) {
      this.filesource = filesource;
   }

   public String getIsknowstructure() {
      return this.isknowstructure;
   }

   public void setIsknowstructure(String isknowstructure) {
      this.isknowstructure = isknowstructure;
   }
}
